Межсайтовый скриптинг в Sun Java System Access Manager

Дата публикации:
06.03.2008
Дата изменения:
22.09.2008
Всего просмотров:
1360
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Sun Java System Access Manager 7.x
Уязвимые версии: Sun Java System Access Manager 7 2005Q4 (7.0) и 7.1

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в некоторых параметрах при отображении окон "Help" и "Version" в административной консоли. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.sun.com/software/products/access_mgr/

Решение: Установите исправление с сайта производителя.

SPARC Platform

  • Sun Java System Access Manager 7.1 (for Solaris 8, 9 and 10) with patch 126356-01 or later
  • Sun Java System Access Manager 7 2005Q4 (7.0) (for Solaris 8, 9 and 10) with patch 120954-06 or later

x86 Platform

  • Sun Java System Access Manager 7.1 (for Solaris 8, 9 and 10) with patch 126357-01 or later
  • Sun Java System Access Manager 7 2005Q4 (7.0) (for Solaris 9 and 10) with patch 120955-06 or later

Linux

  • Sun Java System Access Manager 7.1 with patch 126358-01 or later
  • Sun Java System Access Manager 7 2005Q4 (7.0) with patch 120956-06 or later

Windows

  • Sun Java System Access Manager 7.1 with patch 126359-01 or later
  • Sun Java System Access Manager 7 2005Q4 (7.0) with patch 124296-06 or later


Ссылки: Cross-site Scripting (XSS) Vulnerability in the Sun Java System Access Manager Administration Console
или введите имя

CAPTCHA